%define name perl-Parse-RecDescent
%define real_name Parse-RecDescent
%define version 1.78

Name: %{name}
Version: %{version}
Summary: Parse-RecDescent module for perl (String_Lang_Text_Proc/Text)
Summary(fr): Parse-RecDescent : modules d'interface plug-in perl pour Gimp
Release: 1mdk
Copyright: distributable
Group: Development/Perl
Source0: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Parse/%{real_name}-%{version}.tar.bz2
Url: http://www.cpan.org
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.00503

%description
Parse-RecDescent module for perl enable to write perl plug-ins for GIMP (the
Gnu Image Manipulation Programm).

%description -l fr 
Ce package permet d'crire des plug-ins en Perl pour GIMP (le programme de
traitement d'image du projet GNU)

%prep
%setup -q -n %{real_name}-%{version}
perl -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*/auto/*
/usr/lib/perl5/site_perl/*/*/[A-Z]*
/usr/lib/perl5/man/*/*

%changelog
* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.78-1mdk
- 1.78
- fixed group
- rebuild with new perl
- fixed location
- better patch for annoying /usr/local/bin/perl's

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 1.77
- Build release.

* Tue Oct 19 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 1.70

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus spec

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description
- write a real english description

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source
- Mandrake adaptation


